aboutsummaryrefslogtreecommitdiff
path: root/src/gns
diff options
context:
space:
mode:
authorLRN <lrn1986@gmail.com>2013-12-08 21:33:34 +0000
committerLRN <lrn1986@gmail.com>2013-12-08 21:33:34 +0000
commit0339fb1c3eb6daeda7f1904815d8eb0101203567 (patch)
treeeac23c2ad58d7dcfa36a3bbd15c09f87d2d8ebdc /src/gns
parentef2d4d1604028a47f7cbd4f23681eba37dc2ac0c (diff)
downloadgnunet-0339fb1c3eb6daeda7f1904815d8eb0101203567.tar.gz
gnunet-0339fb1c3eb6daeda7f1904815d8eb0101203567.zip
Change gnunet-config detection in gns tests
Diffstat (limited to 'src/gns')
-rwxr-xr-xsrc/gns/test_gns_cname_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_delegated_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_dht_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_gns2dns_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_ipv6_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_mx_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_nick_shorten.sh7
-rwxr-xr-xsrc/gns/test_gns_plus_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_quickupdate.sh7
-rwxr-xr-xsrc/gns/test_gns_rel_expiration.sh7
-rwxr-xr-xsrc/gns/test_gns_revocation.sh7
-rwxr-xr-xsrc/gns/test_gns_soa_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_txt_lookup.sh7
-rwxr-xr-xsrc/gns/test_gns_zkey_lookup.sh7
-rwxr-xr-xsrc/gns/test_gnunet_gns.sh7
16 files changed, 96 insertions, 16 deletions
diff --git a/src/gns/test_gns_cname_lookup.sh b/src/gns/test_gns_cname_lookup.sh
index 1a4c10268..cbd50cdeb 100755
--- a/src/gns/test_gns_cname_lookup.sh
+++ b/src/gns/test_gns_cname_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_delegated_lookup.sh b/src/gns/test_gns_delegated_lookup.sh
index c949ca7dc..7f22a70b5 100755
--- a/src/gns/test_gns_delegated_lookup.sh
+++ b/src/gns/test_gns_delegated_lookup.sh
@@ -5,8 +5,13 @@ which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 17rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_dht_lookup.sh b/src/gns/test_gns_dht_lookup.sh
index e2b025f86..39023b077 100755
--- a/src/gns/test_gns_dht_lookup.sh
+++ b/src/gns/test_gns_dht_lookup.sh
@@ -5,8 +5,13 @@ which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12TEST_IP="127.0.0.1" 17TEST_IP="127.0.0.1"
diff --git a/src/gns/test_gns_gns2dns_lookup.sh b/src/gns/test_gns_gns2dns_lookup.sh
index fa48fb20a..96505e9e2 100755
--- a/src/gns/test_gns_gns2dns_lookup.sh
+++ b/src/gns/test_gns_gns2dns_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_ipv6_lookup.sh b/src/gns/test_gns_ipv6_lookup.sh
index 8f1a3f109..ffee8409e 100755
--- a/src/gns/test_gns_ipv6_lookup.sh
+++ b/src/gns/test_gns_ipv6_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_lookup.sh b/src/gns/test_gns_lookup.sh
index 6a91e78a4..5f21fa7d6 100755
--- a/src/gns/test_gns_lookup.sh
+++ b/src/gns/test_gns_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_mx_lookup.sh b/src/gns/test_gns_mx_lookup.sh
index 9318d9428..500a6cbc0 100755
--- a/src/gns/test_gns_mx_lookup.sh
+++ b/src/gns/test_gns_mx_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -fr `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -fr `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_nick_shorten.sh b/src/gns/test_gns_nick_shorten.sh
index 63fba1a1c..83fc20713 100755
--- a/src/gns/test_gns_nick_shorten.sh
+++ b/src/gns/test_gns_nick_shorten.sh
@@ -10,8 +10,13 @@ which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
10LOCATION=$(which gnunet-config) 10LOCATION=$(which gnunet-config)
11if [ -z $LOCATION ] 11if [ -z $LOCATION ]
12then 12then
13 LOCATION="gnunet-config"
14fi
15$LOCATION --version
16if test $? != 0
17then
13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 18 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14 exit 1 19 exit 77
15fi 20fi
16 21
17# Deleting home directory from previous runs 22# Deleting home directory from previous runs
diff --git a/src/gns/test_gns_plus_lookup.sh b/src/gns/test_gns_plus_lookup.sh
index 4ff23c3bc..652838cb8 100755
--- a/src/gns/test_gns_plus_lookup.sh
+++ b/src/gns/test_gns_plus_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11which timeout &> /dev/null && DO_TIMEOUT="timeout 5" 16which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
diff --git a/src/gns/test_gns_quickupdate.sh b/src/gns/test_gns_quickupdate.sh
index 309bc7355..c53eab0f6 100755
--- a/src/gns/test_gns_quickupdate.sh
+++ b/src/gns/test_gns_quickupdate.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_rel_expiration.sh b/src/gns/test_gns_rel_expiration.sh
index 2db66c4c1..05714aed2 100755
--- a/src/gns/test_gns_rel_expiration.sh
+++ b/src/gns/test_gns_rel_expiration.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_revocation.sh b/src/gns/test_gns_revocation.sh
index a7287c3dd..21adef664 100755
--- a/src/gns/test_gns_revocation.sh
+++ b/src/gns/test_gns_revocation.sh
@@ -5,8 +5,13 @@ which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 17rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_soa_lookup.sh b/src/gns/test_gns_soa_lookup.sh
index 272aa7442..54612488f 100755
--- a/src/gns/test_gns_soa_lookup.sh
+++ b/src/gns/test_gns_soa_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_txt_lookup.sh b/src/gns/test_gns_txt_lookup.sh
index d527e28c7..f60ba1dbb 100755
--- a/src/gns/test_gns_txt_lookup.sh
+++ b/src/gns/test_gns_txt_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gns_zkey_lookup.sh b/src/gns/test_gns_zkey_lookup.sh
index 36dec131e..9ce5e1d37 100755
--- a/src/gns/test_gns_zkey_lookup.sh
+++ b/src/gns/test_gns_zkey_lookup.sh
@@ -5,8 +5,13 @@ which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 17rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
diff --git a/src/gns/test_gnunet_gns.sh b/src/gns/test_gnunet_gns.sh
index ccec73340..a40debe79 100755
--- a/src/gns/test_gnunet_gns.sh
+++ b/src/gns/test_gnunet_gns.sh
@@ -3,8 +3,13 @@
3LOCATION=$(which gnunet-config) 3LOCATION=$(which gnunet-config)
4if [ -z $LOCATION ] 4if [ -z $LOCATION ]
5then 5then
6 LOCATION="gnunet-config"
7fi
8$LOCATION --version
9if test $? != 0
10then
6 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 11 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
7 exit 1 12 exit 77
8fi 13fi
9 14
10trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT 15trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT